#!/bin/sh

### script file name
SCRIPT_NAME=$(basename $0)

CONVERT_TOOL="./UpdateParamsToXmlFormat"

CONFIGS_DIR="/var/Counter/configs/"
CONFIGS_DIR_DEFAULT="/var/Counter/DefaultConfigs/"

# exit codes
EXIT_OK=0 #success
EXIT_ERROR=2 #error


# convert
# loop all configs directories
for i in `seq 0 31` ; do
    CUR_DIR=${CONFIGS_DIR}${i}/
    ${CONVERT_TOOL} "${CUR_DIR}"
    RET=$?
    if [ "0" -ne "${RET}" ] ; then
        exit ${EXIT_ERROR}
    fi
done
# loop all DefaultConfigs directories
for i in `seq 0 31` ; do
    CUR_DIR=${CONFIGS_DIR_DEFAULT}${i}/
    ${CONVERT_TOOL} "${CUR_DIR}"
    RET=$?
    if [ "0" -ne "${RET}" ] ; then
        exit ${EXIT_ERROR}
    fi
done

exit ${EXIT_OK}
